org.apache.xmlgraphics.image.loader.impl

## Class ImageXMLDOM

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImage
  - - org.apache.xmlgraphics.image.loader.impl.ImageXMLDOM

- All Implemented Interfaces:
    Image

      public class ImageXMLDOM
      extends AbstractImage

  This class is an implementation of the Image interface exposing an XML DOM (W3C).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageXMLDOM(ImageInfo info, org.w3c.dom.Document doc, java.lang.String rootNamespace)` Main constructor.
    `ImageXMLDOM(ImageInfo info, org.w3c.dom.Document doc, XMLNamespaceEnabledImageFlavor flavor)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Document` | `getDocument()` Returns the contained W3C DOM document.
    `ImageFlavor` | `getFlavor()` Returns the flavor of the image.
    `java.lang.String` | `getRootNamespace()` Returns the root XML namespace of the XML document.
    `boolean` | `isCacheable()` Indicates whether the Image instance is cacheable in memory.

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImage

      `getColorSpace, getICCProfile, getInfo, getSize, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageXMLDOM

          public ImageXMLDOM(ImageInfo info,
                             org.w3c.dom.Document doc,
                             java.lang.String rootNamespace)

      Main constructor.
      Parameters:
        `info` - the image info object
        `doc` - the W3C DOM document
        `rootNamespace` - the root XML namespace of the XML document in the DOM

    - #### ImageXMLDOM

          public ImageXMLDOM(ImageInfo info,
                             org.w3c.dom.Document doc,
                             XMLNamespaceEnabledImageFlavor flavor)

      Main constructor.
      Parameters:
        `info` - the image info object
        `doc` - the W3C DOM document
        `flavor` - the image flavor

  - ### Method Detail

    - #### getFlavor

          public ImageFlavor getFlavor()

      Returns the flavor of the image.
      Returns:
        the image flavor

    - #### isCacheable

          public boolean isCacheable()

      Indicates whether the Image instance is cacheable in memory.
      Returns:
        true if the Image is cacheable

    - #### getDocument

          public org.w3c.dom.Document getDocument()

      Returns the contained W3C DOM document.
      Returns:
        the DOM

    - #### getRootNamespace

          public java.lang.String getRootNamespace()

      Returns the root XML namespace of the XML document.
      Returns:
        the root namespace

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.